New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Jackson dependency needs to be updated from 2.8.9 to 2.9.0 #2120

Closed
hugh-emerson opened this Issue Aug 2, 2017 · 4 comments

Comments

Projects
None yet
4 participants
@hugh-emerson

hugh-emerson commented Aug 2, 2017

Hi,

As confirmed in this FasterXML/jackson-modules-java8#33, Jackson 2.8.9 has an error, which is fixed in 2.9.0.
Can you confirm whether this will be fixed in a new release of dropwizard soon?

Thanks,
Hugh

@joschi

This comment has been minimized.

Member

joschi commented Aug 2, 2017

@hugh-emerson An upgrade to Jackson 2.9.0 has been scheduled for Dropwizard 1.2.0, see #2057.

There are no plans to upgrade to Jackson 2.9.0 in Dropwizard 1.1.x.

@arteam

This comment has been minimized.

Member

arteam commented Aug 2, 2017

That's right. Nevertheless, If you want to try out Dropwizard with Jackson 2.9, I was going to make today a release candidate for Dropwizard 1.2 today and upload it to Maven Central.

@msymons

This comment has been minimized.

Contributor

msymons commented Aug 2, 2017

The linked issue had a 2.8.10 milestone added on 21st June 2017 and I see that @joschi has already added a request there for a 2.8.x bugfix release. So, watch for that bugfix and then Dropwizard 1.1.x can be updated.

@joschi joschi added this to the 1.1.3 milestone Aug 24, 2017

@joschi joschi self-assigned this Aug 24, 2017

joschi added a commit that referenced this issue Aug 24, 2017

@joschi

This comment has been minimized.

Member

joschi commented Aug 24, 2017

Fixed in cefe3a9

@joschi joschi closed this Aug 24, 2017

@joschi joschi added the bug label Aug 24, 2017

@joschi joschi modified the milestones: 1.1.4, 1.1.3 Aug 24, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment